> ## Documentation Index
> Fetch the complete documentation index at: https://docs.withclasp.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Payroll Payments

> Returns a list of all payroll payments.



## OpenAPI

````yaml get /payroll_payments
openapi: 3.0.3
info:
  title: ''
  version: 0.0.0
servers: []
security: []
paths:
  /payroll_payments:
    get:
      tags:
        - payroll_payments
      description: Returns a list of all payroll payments.
      operationId: payroll_payments_list
      parameters:
        - name: cursor
          required: false
          in: query
          description: The pagination cursor value.
          schema:
            type: string
        - in: query
          name: member
          schema:
            type: string
        - name: page_size
          required: false
          in: query
          description: Number of results to return per page.
          schema:
            type: integer
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaginatedPayrollPaymentList'
          description: ''
      security:
        - tokenAuth: []
        - tokenAuth: []
components:
  schemas:
    PaginatedPayrollPaymentList:
      type: object
      properties:
        next:
          type: string
          nullable: true
        previous:
          type: string
          nullable: true
        results:
          type: array
          items:
            $ref: '#/components/schemas/PayrollPayment'
    PayrollPayment:
      type: object
      properties:
        id:
          type: string
          readOnly: true
          pattern: ^[-a-zA-Z0-9_]+$
        member:
          type: string
        payday:
          type: string
          format: date
        period_start:
          type: string
          format: date
        period_end:
          type: string
          format: date
        hours_worked:
          type: string
          format: decimal
          pattern: ^-?\d{0,3}(?:\.\d{0,2})?$
        gross_pay:
          type: string
          format: decimal
          pattern: ^-?\d{0,8}(?:\.\d{0,2})?$
        payroll_provider_external_id:
          type: string
          nullable: true
          maxLength: 255
          description: Unique identifier for the payroll payment in the payroll system.
      required:
        - gross_pay
        - hours_worked
        - id
        - member
        - payday
        - period_end
        - period_start
        - payroll_provider_external_id
  securitySchemes:
    tokenAuth:
      type: http
      scheme: bearer
      description: API Key authentication with required prefix "Bearer"

````